--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: bot
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: changed
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: config
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: items
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: overrides
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: container for bot configuration
constants: []

full_name: Irc::Bot::Config::ManagerClass
includes: 
- !ruby/object:RI::IncludedModule 
  name: Singleton
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: "[]"
- !ruby/object:RI::MethodSummary 
  name: "[]="
- !ruby/object:RI::MethodSummary 
  name: bot_associate
- !ruby/object:RI::MethodSummary 
  name: method_missing
- !ruby/object:RI::MethodSummary 
  name: register
- !ruby/object:RI::MethodSummary 
  name: reset_config
- !ruby/object:RI::MethodSummary 
  name: save
name: ManagerClass
superclass: Object
